openapi: 3.0.0
info:
  title: Tenants management
  description: >-
    This web service exposes a set of utilities to manage the IAS tenants
  version: 2025.Winter.1
servers:
  - url: 'https://{host}/fw/Apps/ApplicationSuite/WebAPI'
    description: IAS server
    variables:
      host:
        default: localhost
        description: The IAS server hostname or IP address
security:
  - UserSecurity: []
paths:
  '/Tenants/':
    get:
      summary: Get the IAS tenants
      tags:
        - Tenants
      security: 
        - UserSecurity: []
      responses:
        '200':
          description: Returns a list of tenants
          content:
            application/json:
              schema:
                type: array
                items:
                  description: Tenants list
                  properties:
                    id:
                      type: string
                      description: Tenant id
                      example: "6649e002-65ec-4eab-a4d6-7f3d493a1311"
                    name:
                      type: string
                      description: Tenant name
                      example: "ACME"
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '500':
          $ref: '#/components/responses/500'
components:
  securitySchemes:
    UserSecurity:
      type: http
      scheme: basic
  responses:
    '200':
      description: The server succesfully processed the request
    '202':
      description: Synchronization has started and will run asynchronously using sync sources manually configured and enabled in Imagicle Application Suite Web interface
    '401':
      description: No authentication provided or wrong user credentials
    '403':
      description: Authenticated user does not have users management privileges
    '409':
      description: Users synchronization is disabled
    '500':
      description: An error occurred while processing the request
    '503':
      description: User synchronization is already in progress
    '504':
      description: Synchronization service is down